C
C------------------------------------------------------
C
C     Problem:    COMBPROP
C
C     Date:       20.4.2004
C
C------------------------------------------------------
C                        
*     REAL CONSTANT
      R = 10
      P = 40
      K5 = 1
      K6 = 1
      K7 = 1
      K8 = 0.1
      K9 = 1
      K10 = 0.1
C
C------------------------------------------------------
C                        
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. concentration variable, if exists (c)
C     3. time variable (t)
C
*     VARIABLE
      x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13, t
C               
C------------------------------------------------------
C                   
C   - Fitting criteria:
C                       
*     FUNCTION f1         
      f1 = x1 + x4 - 3
C                              
*     FUNCTION f2                 
      f2 = 2*x1 + x2 + x4 + x7 + x8 + x9 + 2*x10 - R
C                              
*     FUNCTION f3                 
      f3 = 2*(x2 + x5) + x6 + x7 - 8                    
C                              
*     FUNCTION f4                 
      f4 = 2*x3 + x9 - 4*R                    
C                              
*     FUNCTION f5                 
      f5 = K5*x2*x4 - x1*x5                    
C                              
*     FUNCTION f6                 
      f6 = K6*sqrt(x2*x4) - x6*sqrt(P*x1/x11)                    
C                              
*     FUNCTION f7                 
      f7 = K7*sqrt(x1*x2) - x7*sqrt(P*x4/x11)                    
C                              
*     FUNCTION f8                 
      f8 = K8*x1 - P*x4*x8/x11                    
C                              
*     FUNCTION f9                 
      f9 = K9*x1*sqrt(x3) - x4*x9*sqrt(P/x11)                    
C                              
*     FUNCTION f10                 
      f10 = K10*x1**2 - P*x4**2*x10/x11                    
C                              
*     FUNCTION f11                 
      f11 = x11 - (x1 + x2 + x4 + x7 + x12 + x13) 
C                              
*     FUNCTION f12                 
      f12 = x12 - (x5 + x6)                
C                              
*     FUNCTION f13                 
      f13 = x13 - (x3 + x8 + x9 + x10)                
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
