C
C------------------------------------------------------
C
C     Problem:    DISTPAR2
C
C     Date:       20.11.2002
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      a1, a2, a3, a4, a5, a6, a7, a8, a9
      b1, b2, b3, b4, b5, b6, b7, b8, b9
      x, y, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION x_t
      x_t = a1*x + a2*y + a3*x**2 + a4*x*y + a5*y**2 + a6*x**3 
     /                  + a7*x**2*y + a8*x*y**2 + a9*y**3
C
*     FUNCTION y_t
      y_t = b1*x + b2*y + b3*x**2 + b4*x*y + b5*y**2 + b6*x**3 
     /                  + b7*x**2*y + b8*x*y**2 + b9*y**3
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION x_0
      x_0 = -0.5
C
*     FUNCTION y_0
      y_0 = 0.5
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION x_fit
      x_fit = x
C
*     FUNCTION y_fit
      y_fit = y
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
