C
C------------------------------------------------------
C
C     Problem:    FOLDING4
C
C     Date:       30.10.1993
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (x)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      k21, k32, c1, c2, Uc, Ut, N, T
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION UcP
      UcP=-k21 *Uc + k21*Ut*15/85 + k32*N
C
*     FUNCTION UtP
      UtP= -k21*Ut*15/85 + k21*Uc
C
*     FUNCTION NP
      NP= -k32*N
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION Uc0
      Uc0=0.0
C
*     Function Ut0
      Ut0=0.0
C
*     FUNCTION N0
      N0=1.0
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION UcFIT
      UcFIT=c1*Uc + c2*Ut
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION G1
C      G1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C

