C
C------------------------------------------------------
C
C     Problem:  OAT1
C
C     Date:     08.01.96
C
C------------------------------------------------------
C
*     REAL CONSTANT 
      mue = 0.005
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (x)
C     2. concentration variable, if exists (c)
C     3. time variable (t)
C
*     VARIABLE
      W0, kR, Rmax, alpha, t
C
C------------------------------------------------------
C
C   - Fitting criteria:
C   
*     FUNCTION W1
      W1 = W0*exp(Rmax*(36.0+50.0)/(36.0+50.0+kR)
     /    *(1.0/Rmax*log((1.0+alpha)/(1.0+alpha
     /    *exp(-Rmax*(t)))))-mue*(t))
C
*     FUNCTION W2
      W2 = W0*exp(Rmax*(125.0+50.0)/(125.0+50.0+kR)
     /    *(1.0/Rmax*log((1.0+alpha)/(1.0+alpha
     /    *exp(-Rmax*(t)))))-mue*(t))
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION G
C      G = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C


