C
C------------------------------------------------------
C
C     Problem:    OBSERV2
C
C     Date:       31.01.2002
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      b0, bA, x1, x2, x3, x4, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION x1_t
      x1_t = -b0*x1
C
*     FUNCTION x2_t
      x2_t = -b0*x2 - x4
C
*     FUNCTION x3_t
      x3_t = -b0*x3 - x4 
C
*     FUNCTION x4_t
      x4_t = bA*x1 - x4 
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION x1_0
      x1_0 = 1
C
*     FUNCTION x2_0
      x2_0 = 300
C
*     FUNCTION x3_0
      x3_0 = 1000
C
*     FUNCTION x4_0
      x4_0 = 100
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION fit1
      fit1 = x1
C
*     FUNCTION fit2
      fit2 = x2
C
*     FUNCTION fit3
      fit3 = x3
C
*     FUNCTION fit4
      fit4 = x4
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C

