C
C------------------------------------------------------
C
C     Problem:    RABBIT
C
C     Date:       27.09.2001
C
C------------------------------------------------------
C
*     REAL CONSTANT
      a4 = 0.01
      a5 = 0.01
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      a1, a2, a3, r, g, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION r_t
      r_t = a1*r*g - a2*r
C
*     FUNCTION g_t
      g_t = a3*g - a4*g*g - a5*r*g    
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION r_0
      r_0 = 10
C
*     FUNCTION g_0
      g_0 = 100
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION r_fit
      r_fit = r
C
*     FUNCTION g_fit
      g_fit = g
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C


