C
C------------------------------------------------------
C
C     Problem:    ROESSLER
C
C     Date:       03.05.1993
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (x)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      A, B, C, X, Y, Z, T
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION XP
      XP = -Y - Z
C
*     FUNCTION YP
      YP = X + A*Y
C
*     FUNCTION ZP
      ZP = B + (X - C)*Z
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION X0
      X0 = 0.0
C
*     FUNCTION Y0
      Y0 = 0.0
C
*     FUNCTION Z0
      Z0 = 0.0
C
C------------------------------------------------------
C
C   - Fitting criterion:
C
*     FUNCTION XFIT
      XFIT = X
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION G1
C      G1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
